Bug 1643740 - [6.5] No SCAP content profiles in default scap-contents
Summary: [6.5] No SCAP content profiles in default scap-contents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ondřej Pražák
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1643817 1644197 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-28 07:11 UTC by Nikhil Kathole
Modified: 2019-10-07 17:20 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-0.11.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:33 UTC
Foreman Issue Tracker 25339 None None None 2018-10-30 07:23:24 UTC

Description Nikhil Kathole 2018-10-28 07:11:56 UTC
Description of problem: There are no scap content profiles in default scap-contents and also there are lot of warnings while performing "foreman-rake foreman_openscap:bulk_upload:default"

# hammer scap-content info --id 4
Id:                    4
Title:                 Red Hat rhel7 default content
Created at:            2018-10-26 21:01:31 UTC
Original filename:     ssg-rhel7-ds.xml
SCAP content profiles: 

Locations:             
    Default Location
Organizations:         
    Default Organization


Version-Release number of selected component (if applicable):

Satellite 6.5 snap 1

How reproducible: always


Steps to Reproduce:
1. foreman-rake foreman_openscap:bulk_upload:default
 /usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP
 /usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/content_facet_host_extensions.rb:7: warning: already initialized constant Katello::Concerns::ContentFacetHostExtensions::ERRATA_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/content_facet_host_extensions.rb:7: warning: previous definition of ERRATA_STATUS_MAP was here
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/content_facet_host_extensions.rb:14: warning: already initialized constant Katello::Concerns::ContentFacetHostExtensions::TRACE_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/content_facet_host_extensions.rb:14: warning: previous definition of TRACE_STATUS_MAP was here
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:13: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::SUBSCRIPTION_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:13: warning: previous definition of SUBSCRIPTION_STATUS_MAP was here
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:21: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::SLA_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:21: warning: previous definition of SLA_STATUS_MAP was here
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:26: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::USAGE_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:26: warning: previous definition of USAGE_STATUS_MAP was here
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:31: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::ROLE_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:31: warning: previous definition of ROLE_STATUS_MAP was here
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:36: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::ADDONS_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:36: warning: previous definition of ADDONS_STATUS_MAP was here
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:41: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::PURPOSE_STATUS_MAP
 /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0.rc1/app/models/katello/concerns/subscription_facet_host_extensions.rb:41: warning: previous definition of PURPOSE_STATUS_MAP was here

 Saved /usr/share/xml/scap/ssg/content/ssg-firefox-ds.xml as Red Hat firefox default content

 Saved /usr/share/xml/scap/ssg/content/ssg-jre-ds.xml as Red Hat jre default content

 Saved /usr/share/xml/scap/ssg/content/ssg-rhel6-ds.xml as Red Hat rhel6 default content

 Saved /usr/share/xml/scap/ssg/content/ssg-rhel7-ds.xml as Red Hat rhel7 default content

2.# hammer scap-content list
---|--------------------------------
ID | TITLE                          
---|--------------------------------
1  | Red Hat firefox default content
2  | Red Hat jre default content    
3  | Red Hat rhel6 default content  
4  | Red Hat rhel7 default content  
---|--------------------------------


3. # hammer scap-content info --id 4
Id:                    4
Title:                 Red Hat rhel7 default content
Created at:            2018-10-26 21:01:31 UTC
Original filename:     ssg-rhel7-ds.xml
SCAP content profiles: 

Locations:             
    Default Location
Organizations:         
    Default Organization


Actual results: 
 No SCAP content profiles in default scap-contents.

Expected results:
 SCAP content profiles should available in scap-contents.


Additional info: In 6.4, SCAP content profiles are available in default scap-contents.


# hammer scap-content info --id 4
Id:                    4
Title:                 Red Hat rhel7 default content
Created at:            2018-10-24 08:42:24 UTC
Original filename:     ssg-rhel7-ds.xml
SCAP content profiles: 
    Id:         17
    Profile id: xccdf_org.ssgproject.content_profile_standard
    Title:      Standard System Security Profile
    Id:         18
    Profile id: xccdf_org.ssgproject.content_profile_pci-dss
    Title:      PCI-DSS v3 Control Baseline for Red Hat Enterprise Linux 7
    Id:         19
    Profile id: xccdf_org.ssgproject.content_profile_C2S
    Title:      C2S for Red Hat Enterprise Linux 7
    Id:         20
    Profile id: xccdf_org.ssgproject.content_profile_rht-ccp
    Title:      Red Hat Corporate Profile for Certified Cloud Providers (RH CCP)
    Id:         21
    Profile id: xccdf_org.ssgproject.content_profile_common
    Title:      Common Profile for General-Purpose Systems
    Id:         22
    Profile id: xccdf_org.ssgproject.content_profile_stig-rhel7-disa
    Title:      DISA STIG for Red Hat Enterprise Linux 7
    Id:         23
    Profile id: xccdf_org.ssgproject.content_profile_stig-rhevh-upstream
    Title:      STIG for Red Hat Virtualization Hypervisor
    Id:         24
    Profile id: xccdf_org.ssgproject.content_profile_ospp-rhel7
    Title:      United States Government Configuration Baseline (USGCB / STIG) - DRAFT
    Id:         25
    Profile id: xccdf_org.ssgproject.content_profile_cjis-rhel7-server
    Title:      Criminal Justice Information Services (CJIS) Security Policy
    Id:         26
    Profile id: xccdf_org.ssgproject.content_profile_docker-host
    Title:      Standard Docker Host Security Profile
    Id:         27
    Profile id: xccdf_org.ssgproject.content_profile_nist-800-171-cui
    Title:      Unclassified Information in Non-federal Information Systems and Organizations (NIST 800-171)
Locations:             
    Default Location
Organizations:         
    Default Organization

Comment 3 Nikhil Kathole 2018-10-29 05:29:23 UTC
*** Bug 1643817 has been marked as a duplicate of this bug. ***

Comment 5 Ondřej Pražák 2018-11-05 08:27:02 UTC
*** Bug 1644197 has been marked as a duplicate of this bug. ***

Comment 6 pm-sat@redhat.com 2018-11-05 09:00:44 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 pm-sat@redhat.com 2018-11-05 09:00:48 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 pm-sat@redhat.com 2018-11-13 09:00:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25339 has been resolved.

Comment 9 Nikhil Kathole 2018-11-20 08:02:37 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 4

# hammer scap-content info --id 4
Id:                    4
Title:                 Red Hat rhel7 default content
Created at:            2018-11-17 10:00:30 UTC
Original filename:     ssg-rhel7-ds.xml
SCAP content profiles: 
    Id:         16
    Profile id: xccdf_org.ssgproject.content_profile_ospp
    Title:      United States Government Configuration Baseline
    Id:         17
    Profile id: xccdf_org.ssgproject.content_profile_standard
    Title:      Standard System Security Profile for Red Hat Enterprise Linux 7
    Id:         18
    Profile id: xccdf_org.ssgproject.content_profile_cjis
    Title:      Criminal Justice Information Services (CJIS) Security Policy
    Id:         19
    Profile id: xccdf_org.ssgproject.content_profile_C2S
    Title:      C2S for Red Hat Enterprise Linux 7
    Id:         20
    Profile id: xccdf_org.ssgproject.content_profile_hipaa
    Title:      Health Insurance Portability and Accountability Act (HIPAA)
    Id:         21
    Profile id: xccdf_org.ssgproject.content_profile_nist-800-171-cui
    Title:      Unclassified Information in Non-federal Information Systems and Organizations (NIST 800-171)
    Id:         22
    Profile id: xccdf_org.ssgproject.content_profile_stig-rhel7-disa
    Title:      DISA STIG for Red Hat Enterprise Linux 7
    Id:         23
    Profile id: xccdf_org.ssgproject.content_profile_ospp42
    Title:      OSPP - Protection Profile for General Purpose Operating Systems v. 4.2
    Id:         24
    Profile id: xccdf_org.ssgproject.content_profile_pci-dss
    Title:      PCI-DSS v3 Control Baseline for Red Hat Enterprise Linux 7
    Id:         25
    Profile id: xccdf_org.ssgproject.content_profile_rht-ccp
    Title:      Red Hat Corporate Profile for Certified Cloud Providers (RH CCP)
Locations:             
    Default Location
Organizations:         
    Default Organization

Comment 13 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.